﻿<?Infragistics.Models format="xaml" version="2"?>
<Flow xmlns="http://prototypes.infragistics.com/flows"
                                                         xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
    <Flow.Items>
        <Step x:Uid="$1" Title="The user starts the application and the Welcome page is displayed." ContentView="/Welcome.screen" ContentState="6a0dd4ba-1c70-4239-995c-cb74fc88858b" X="-1102" Y="44" Width="430" Height="322" />
        <Step x:Uid="$3" Title="The user chooses the Sign Up option and a registration form is shown." ContentView="/Sign Up.screen" ContentState="909ace08-f464-4d21-8379-4c027fb43278" X="-514" Y="668" Width="430" Height="322" />
        <Step x:Uid="$2" Title="The user chooses the Sign In option and a form for user credentials is displayed." ContentView="/Sign In.screen" ContentState="f4917f1a-31fa-4687-a5ec-ef4781b8d2e5" X="-508" Y="-784" Width="430" Height="322" />
        <Connector Source="{Reference $1}" Target="{Reference $2}" />
        <Connector Source="{Reference $1}" Target="{Reference $3}" />
        <Step x:Uid="$4" Title="The user successfully signs in and the Home page is displayed." ContentView="/Home.screen" ContentState="1edcc466-7608-49c3-8ea8-ff01364d099d" X="118" Y="44" Width="430" Height="322" />
        <Connector Source="{Reference $2}" Target="{Reference $4}" />
        <Step x:Uid="$6" Title="The user selects the Profile option and the page containing his profile options is shown." ContentView="/Profile.screen" ContentState="ccf3e28a-debe-4efa-af15-3f7fa9ff599a" X="712" Y="1248" Width="430" Height="322" />
        <Step x:Uid="$5" Title="The user selects the Search option and a search form is displayed." ContentView="/Search.screen" ContentState="5d45eceb-0999-4fd7-bd06-e27a6808f96e" X="732" Y="-1262" Width="430" Height="322" />
        <Connector Source="{Reference $4}" Target="{Reference $5}" />
        <Connector Source="{Reference $4}" Target="{Reference $6}" />
        <Step x:Uid="$7" Title="The user enters the desired search keywords and a list of results grouped in categories is shown" ContentView="/Search Results.screen" ContentState="a5ed8340-5243-4d2d-91bb-948b1a4cc9b8" X="1326" Y="-1262" Width="430" Height="322" />
        <Connector Source="{Reference $5}" Target="{Reference $7}" />
        <Step x:Uid="$8" Title="The user chooses an artist from the results list and the Artist Profile page is displayed." ContentView="/Band Profile.screen" ContentState="d2b4f131-4383-4277-beaf-2d4180a37e87" X="1986" Y="-2048" Width="430" Height="322" />
        <Connector Source="{Reference $7}" Target="{Reference $8}" />
        <Step x:Uid="$9" Title="The user chooses an album from the results list and the page containing info about it is displayed." ContentView="/Album About.screen" ContentState="2423e441-86df-414c-b8d0-735c13581ad5" X="1988" Y="-358" Width="430" Height="322" />
        <Connector Source="{Reference $7}" Target="{Reference $9}" />
        <Step x:Uid="$10" Title="The user selects the Biography option and on the left side a complete biography of the artist is shown." ContentView="/Biography.screen" ContentState="3c5dd7ac-f500-4fb6-9604-fa48d53c2564" X="2616" Y="-2758" Width="430" Height="322" />
        <Connector Source="{Reference $8}" Target="{Reference $10}" />
        <Step x:Uid="$11" Title="The user selects the Albums option and a timeline containing the released albums is displayed." ContentView="/Albums Level 1.screen" ContentState="f1a15157-1e18-4fd1-9172-ccf0b996edfb" X="2616" Y="-1434" Width="430" Height="322" />
        <Step x:Uid="$12" Title="The user can navigate through the timeline by dragging the bottom slider." ContentView="/Albums Level 3.screen" ContentState="aee706b4-ede4-4648-b1f6-a2b0476a0175" X="3224" Y="-1434" Width="430" Height="322" />
        <Connector Source="{Reference $11}" Target="{Reference $12}" />
        <Step x:Uid="$13" Title="The user selects the Concerts option, and a timeline of the upcoming concerts is displayed." ContentView="/Concerts Level 1.screen" ContentState="3a15facb-b541-4fda-861e-403cc155766b" X="2616" Y="-2314" Width="430" Height="322" />
        <Connector Source="{Reference $8}" Target="{Reference $13}" />
        <Step x:Uid="$14" Title="The user selects the Similar Artists option and a graph containing the super similar artists is shown." ContentView="/Similar Artists 1 Level 1.screen" ContentState="3b05966f-07bb-473b-adeb-d2ea56151af3" X="2616" Y="-1892" Width="430" Height="322" />
        <Connector Source="{Reference $8}" Target="{Reference $14}" />
        <Connector Source="{Reference $8}" Target="{Reference $11}" />
        <Step x:Uid="$15" Title="The user can navigate through the timeline by dragging the bottom slider." ContentView="/Concerts Level 3.screen" ContentState="a55de329-2050-4b4a-af8f-dd43c76aa7a3" X="3224" Y="-2314" Width="430" Height="322" />
        <Connector Source="{Reference $13}" Target="{Reference $15}" />
        <Step x:Uid="$16" Title="The user drags the bottom slider to increase the number of similar artists, by adding the highly similar ones to the graph." ContentView="/Similar Artists 1 Level 2.screen" ContentState="d55ffce9-a6ae-4635-b635-14d1351c8c0a" X="3224" Y="-1892" Width="430" Height="322" />
        <Connector Source="{Reference $14}" Target="{Reference $16}" />
        <Connector Source="{Reference $12}" Target="{Reference $9}" />
        <Step x:Uid="$17" Title="The user selects the Credits option in order to view the band line-up featured on the album." ContentView="/Album Credits.screen" ContentState="783152e5-ef06-426d-bd9b-cd0065c17d59" X="2616" Y="-516" Width="430" Height="322" />
        <Connector Source="{Reference $9}" Target="{Reference $17}" />
        <Step x:Uid="$18" Title="The user selects the Similar Albums option in order to view a series of albums similar to the one previously selected." ContentView="/Album Similar Albums.screen" ContentState="bd3a32b2-2e35-4e46-984f-c94c4a2161cb" X="2616" Y="-94" Width="430" Height="322" />
        <Connector Source="{Reference $9}" Target="{Reference $18}" />
        <Step x:Uid="$19" Title="The user selects the Tracklist option in order to view a complete tracklist of the album." ContentView="/Album Tracklist.screen" ContentState="d91f3afa-60dc-465f-8533-d9c8470bf4f9" X="2616" Y="360" Width="430" Height="322" />
        <Connector Source="{Reference $9}" Target="{Reference $19}" />
        <Step x:Uid="$20" Title="The user clicks on Charts and the available options are displayed." ContentView="/Profile Charts.screen" ContentState="55a26618-c6b1-4f70-9046-d36cb24681cc" X="1308" Y="1560" Width="430" Height="322" />
        <Connector Source="{Reference $6}" Target="{Reference $20}" />
        <Step x:Uid="$29" Title="The user clicks on Events and the available options are displayed." ContentView="/Profile Events.screen" ContentState="022f8e79-cea4-41e5-94f7-f3854df1e6f3" X="1308" Y="1164" Width="430" Height="322" />
        <Step x:Uid="$21" Title="The user clicks on Timeline and the available options are displayed." ContentView="/Profile Timeline.screen" ContentState="f6c3d57d-d64f-462b-b448-84031b4f0212" X="1308" Y="772" Width="430" Height="322" />
        <Connector Source="{Reference $6}" Target="{Reference $21}" />
        <Step x:Uid="$22" ContentView="/Profile Recommended.screen" ContentState="b2068a76-92f5-493b-838e-3b8efc260d8f" X="1308" Y="220" Width="430" Height="322" />
        <Connector Source="{Reference $6}" Target="{Reference $22}" />
        <Step x:Uid="$23" Title="The user hovers over the bottom menu and the Music Player is shown." ContentView="/Home Player.screen" ContentState="1edcc466-7608-49c3-8ea8-ff01364d099d" X="118" Y="-784" Width="430" Height="322" />
        <Connector Source="{Reference $4}" Target="{Reference $23}" />
        <Connector Source="{Reference $3}" Target="{Reference $4}" />
        <Step x:Uid="$24" Title="The user selects the Songs option from the Timeline menu and a timeline featuring the songs he listened is shown." ContentView="/Profile Timeline Songs Level 1.screen" ContentState="a987542e-09c7-4b79-a33a-3ccc64e67a23" X="1994" Y="772" Width="430" Height="322" />
        <Connector Source="{Reference $21}" Target="{Reference $24}" />
        <Step x:Uid="$25" Title="The user can explore the timeline by dragging the bottom slider." ContentView="/Profile Timeline Songs Level 3.screen" ContentState="41cee3be-848c-4914-8364-a0922330adb5" X="2622" Y="772" Width="430" Height="322" />
        <Connector Source="{Reference $24}" Target="{Reference $25}" />
        <Step x:Uid="$26" Title="The user hovers over an album track and a &quot;+&quot; sign is shown." ContentView="/Album Tracklist Song Options.screen" ContentState="2abe70cb-db69-4117-8e37-c3f0506aa16a" X="3272" Y="360" Width="430" Height="322" />
        <Connector Source="{Reference $19}" Target="{Reference $26}" />
        <Step x:Uid="$27" Title="After clicking the &quot;+&quot; sign, a contextual menu appears, which allows the user to add the song to a playlist or search for similar songs." ContentView="/Album Tracklist Song Options Display.screen" ContentState="939f8019-a13a-43f1-a1fc-49a7f53896a4" X="3872" Y="360" Width="430" Height="322" />
        <Connector Source="{Reference $26}" Target="{Reference $27}" />
        <Step x:Uid="$28" Title="The user clicks on Playlists and the available options are displayed." ContentView="/Profile Playlists.screen" ContentState="9fd405f4-ac32-4926-9859-f3c897404391" X="1308" Y="2020" Width="430" Height="322" />
        <Connector Source="{Reference $6}" Target="{Reference $28}" />
        <Connector Source="{Reference $6}" Target="{Reference $29}" />
    </Flow.Items>
</Flow>
